ThinkLP
ThinkLP API

Scheduling

Schedule recurring audits, and manage the programs and templates they run from.


DELETE
/v1/audit-program-templates/{id}

Remove a program template link › path Parameters

id
​string · uuid · pattern: ^([0-9a-fA-F]{8}-[0-… · required

Remove a program template link › Headers

Idempotency-Key
​string · uuid

A UUID that makes the request safe to retry: a repeat with the same key replays the first response.

Remove a program template link › Responses

No content

No data returned

Activate a program template

POST
/v1/audit-program-templates/{id}/activate

Activate a program template › path Parameters

id
​string · uuid · pattern: ^([0-9a-fA-F]{8}-[0-… · required

Activate a program template › Headers

Idempotency-Key
​string · uuid

A UUID that makes the request safe to retry: a repeat with the same key replays the first response.

Activate a program template › Responses

Successful response


Deactivate a program template

POST
/v1/audit-program-templates/{id}/deactivate

Deactivate a program template › path Parameters

id
​string · uuid · pattern: ^([0-9a-fA-F]{8}-[0-… · required

Deactivate a program template › Headers

Idempotency-Key
​string · uuid

A UUID that makes the request safe to retry: a repeat with the same key replays the first response.

Deactivate a program template › Responses

Successful response


Preview a deactivation

GET
/v1/audit-program-templates/{id}/impact

Preview a deactivation › path Parameters

id
​string · uuid · pattern: ^([0-9a-fA-F]{8}-[0-… · required

Preview a deactivation › Responses

Successful response


Reactivate a program template

POST
/v1/audit-program-templates/{id}/reactivate

Reactivate a program template › path Parameters

id
​string · uuid · pattern: ^([0-9a-fA-F]{8}-[0-… · required

Reactivate a program template › Headers

Idempotency-Key
​string · uuid

A UUID that makes the request safe to retry: a repeat with the same key replays the first response.

Reactivate a program template › Responses

Successful response


Delete a program

DELETE
/v1/audit-programs/{id}

Delete a program › path Parameters

id
​string · uuid · pattern: ^([0-9a-fA-F]{8}-[0-… · required

Delete a program › Headers

Idempotency-Key
​string · uuid

A UUID that makes the request safe to retry: a repeat with the same key replays the first response.

Delete a program › Responses

No content

No data returned

List schedules

GET
/v1/audit-schedules/

List schedules › query Parameters

ids
​
search
​string
template_id
​string · uuid · pattern: ^([0-9a-fA-F]{8}-[0-…
program_id
​string · uuid · pattern: ^([0-9a-fA-F]{8}-[0-…
status
​string
page
​integer · min: 1 · max: 9007199254740991
Default: 1
page_size
​integer · min: 1 · max: 200
Default: 50

List schedules › Responses

Successful response

​Pagination

Where the page sits in the whole result


Create a schedule

POST
/v1/audit-schedules/

Create a schedule › Headers

Idempotency-Key
​string · uuid

A UUID that makes the request safe to retry: a repeat with the same key replays the first response.

Create a schedule › Request Body

program_template_id
​string · uuid · pattern: ^([0-9a-fA-F]{8}-[0-… · required
template_id
​string · uuid · pattern: ^([0-9a-fA-F]{8}-[0-… · required
location_hierarchy_node_ids
​string[] · minItems: 1 · required
program_id
​string | null · uuid · pattern: ^([0-9a-fA-F]{8}-[0-…
location_hierarchy_node_id
​string | null · uuid · pattern: ^([0-9a-fA-F]{8}-[0-…
​object
​object
schedule_type
​string
​object
next_due_date
​string | null
start_date
​string · date · pattern: ^(?:(?:\d\d[2468][04…
end_date
​string | null · date · pattern: ^(?:(?:\d\d[2468][04…

Create a schedule › Responses

Successful response


Get a schedule

GET
/v1/audit-schedules/{id}

Get a schedule › path Parameters

id
​string · uuid · pattern: ^([0-9a-fA-F]{8}-[0-… · required

Get a schedule › Responses

Successful response


Update a schedule

PATCH
/v1/audit-schedules/{id}

Update a schedule › path Parameters

id
​string · uuid · pattern: ^([0-9a-fA-F]{8}-[0-… · required

Update a schedule › Headers

Idempotency-Key
​string · uuid

A UUID that makes the request safe to retry: a repeat with the same key replays the first response.

Update a schedule › Request Body

status
​string · enum
Enum values:
active
inactive
​object
​object
​object
next_due_date
​string | null
end_date
​string | null · date · pattern: ^(?:(?:\d\d[2468][04…
sort_order
​integer · min: -9007199254740991 · max: 9007199254740991
schedule_type
​string
location_hierarchy_node_ids
​string[] · minItems: 1
location_hierarchy_node_id
​string | null · uuid · pattern: ^([0-9a-fA-F]{8}-[0-…

Update a schedule › Responses

Successful response


Delete a schedule

DELETE
/v1/audit-schedules/{id}

Delete a schedule › path Parameters

id
​string · uuid · pattern: ^([0-9a-fA-F]{8}-[0-… · required

Delete a schedule › Headers

Idempotency-Key
​string · uuid

A UUID that makes the request safe to retry: a repeat with the same key replays the first response.

Delete a schedule › Responses

No content

No data returned

Run a schedule now

POST
/v1/audit-schedules/{id}/run

Run a schedule now › path Parameters

id
​string · uuid · pattern: ^([0-9a-fA-F]{8}-[0-… · required

Run a schedule now › Headers

Idempotency-Key
​string · uuid

A UUID that makes the request safe to retry: a repeat with the same key replays the first response.

Run a schedule now › Responses

Successful response


Cascade audit section library

POST
/v1/audit-section-library/{id}/cascade

Cascade audit section library › path Parameters

id
​string · uuid · pattern: ^([0-9a-fA-F]{8}-[0-… · required

Cascade audit section library › Responses

Successful response


Publish audit section library

POST
/v1/audit-section-library/{id}/publish

Publish audit section library › path Parameters

id
​string · uuid · pattern: ^([0-9a-fA-F]{8}-[0-… · required

Publish audit section library › Headers

Idempotency-Key
​string · uuid

A UUID that makes the request safe to retry: a repeat with the same key replays the first response.

Publish audit section library › Responses

Successful response